# eric6.Helpviewer.UrlBar.BookmarkActionSelectionDialog

Module implementing a dialog to select the action to be performed on the bookmark.

### Global Attributes

None

### Classes

BookmarkActionSelectionDialog | Class implementing a dialog to select the action to be performed on the bookmark.

### Functions

None

## BookmarkActionSelectionDialog

Class implementing a dialog to select the action to be performed on the bookmark.

### Derived from

QDialog, Ui_BookmarkActionSelectionDialog

### Class Attributes

AddBookmark
AddSpeeddial
EditBookmark
RemoveSpeeddial
Undefined

### Class Methods

None

### Methods

BookmarkActionSelectionDialog | Constructor
getAction | Public method to get the selected action.
on_bookmarkPushButton_clicked | Private slot handling selection of a bookmark action.
on_speeddialPushButton_clicked | Private slot handling selection of a speed dial action.

### Static Methods

None

#### BookmarkActionSelectionDialog (Constructor)

BookmarkActionSelectionDialog(url, parent=None)

Constructor

url
  URL to be worked on (QUrl)
parent
  reference to the parent widget (QWidget)

#### BookmarkActionSelectionDialog.getAction

getAction()

Public method to get the selected action.

Returns:
  reference to the associated action

#### BookmarkActionSelectionDialog.on_bookmarkPushButton_clicked

on_bookmarkPushButton_clicked()

Private slot handling selection of a bookmark action.

#### BookmarkActionSelectionDialog.on_speeddialPushButton_clicked

on_speeddialPushButton_clicked()

Private slot handling selection of a speed dial action.

Up